/*--

   Copyright (c) 2004 Ambros Marzetta and David Bremner

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

--*/
/* z_ps.h (ZRAM Procedure Sets)

   Ambros Marzetta
   94-11-10
   
 * $Source$
 * $Revision: 5167 $
 * $Date: 2004-10-20 13:20:33 -0300 (Wed, 20 Oct 2004) $
 * $Log$
 * Revision 1.3  2004/10/20 16:20:32  bremner
 * added copyright notice and GPL boilerplate
 *
 * Revision 1.2  2000/11/15 16:14:52  bremner
 *
 * committing patched version of zram source
 *
 * Revision 1.1  1995/07/24  13:55:43  marzetta
 * Initial revision
 *
 */

#ifndef _Z_PS_H_
#define _Z_PS_H_

typedef struct z_ProcSet *z_ProcSetP;

typedef int z_ProcSetNum;

z_ProcSetNum z_InstallProcSet(z_ProcSetP procset);
/* Store the address of procset and return a reference number for it. */

z_ProcSetP z_GetProcSet(z_ProcSetNum n);
/* Return the procset with reference number n. */

#endif /* _Z_PS_H_ */
