/*--

   Copyright (c) 2004 Ambros Marzetta and David Bremner

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

--*/
#ifndef Z_CHECKPOINT_H_
#define Z_CHECKPOINT_H_

#include "z_base.h"
#include "zconf.h"
#include "z_stat.h"

z_NodeP z_check_restart(const char *confname, const char *outname,int timeout);
void z_check_setup(z_NodeP globals,const char *outname,int timeout);

void z_check_WriteHeader(FILE *cp_file,
			 int version, int cp_sequence, int numprocs,
			 StatArrayT *stat, int num);

void z_cp_saveConfig(int cp_sequence);

void z_check_Init(void);

z_NodeP z_check_restart(const char *confname, const char *outname,
			int timeout);


#endif
